質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.48%

  • Ruby

    7958questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

gemでインストールできません

解決済

回答 2

投稿

  • 評価
  • クリップ 1
  • VIEW 1,373
退会済みユーザー

退会済みユーザー

sudo gem install activerecord

上記のコマンドでactiverecordをインストールしようとしたのですが以下の様なエラーがでてしまいます。

Building native extensions.  This could take a while...
ERROR:  Error installing activerecord:
    ERROR: Failed to build gem native extension.

    /usr/bin/ruby -r ./siteconf20141206-9705-r0sv9c-0.rb extconf.rb
mkmf.rb can't find header files for ruby at /usr/lib/ruby/ruby.h

extconf failed, exit code 1

Gem files will remain installed in /usr/lib64/ruby/gems/1.8/gems/json-1.8.1 for inspection.
Results logged to /usr/lib64/ruby/gems/1.8/extensions/x86_64-linux/1.8/json-1.8.1/gem_make.out
sudo gem update --systemをかけてから再挑戦したもののやはり同じでした。
どうしたらいいのかわからないのでおしえてください。
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

+16

mkmf.rb can't find header files for ruby at /usr/lib/ruby/ruby.h

/usr/lib/ruby/ruby.hというファイルが見つからないと書いてあります。
ruby.hruby-develというパッケージに含まれているので以下のコマンドでインストールしてみると解決すると思います。

sudo yum install ruby-devel


投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2014/12/06 17:45

    できましたありがとうございます

    キャンセル

+15

http://hbnist76.blog.fc2.com/blog-entry-5.html

ruby-develをインストールして試してみてください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2014/12/06 17:44

    railsじゃなくてactiverecordをインストールしたいんです><

    キャンセル

  • 2014/12/06 17:46

    起きているエラーが参考サイトに挙げたものと同じだったので、インストール対象がrailsでもactiverecordでも同じだと解決策は同じだと思うのですが。

    キャンセル

  • 2014/12/07 16:24

    じゃあベストアンサーはあなたにします!

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.48%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Ruby

    7958questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。